Package com.databricks.jdbc.commons

## Enum CommandName

- java.lang.Object
- - java.lang.Enum<CommandName>
  - - com.databricks.jdbc.commons.CommandName

All Implemented Interfaces:
  `Serializable`, `Comparable<CommandName>`

    public enum CommandName
    extends Enum<CommandName>

### Enum Constant Summary

Enum Constants
`CLOSE_SESSION`
`CREATE_SESSION`
`DEFAULT`
`DELETE_SESSION`
`EXECUTE_STATEMENT`
`GET_RESULT_CHUNKS`
`LIST_CATALOGS`
`LIST_COLUMNS`
`LIST_FUNCTIONS`
`LIST_PRIMARY_KEYS`
`LIST_SCHEMAS`
`LIST_TABLE_TYPES`
`LIST_TABLES`
`LIST_TYPE_INFO`
`OPEN_SESSION`

### Method Summary

All Methods Static Methods Concrete Methods
`static CommandName` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CommandName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE_SESSION

    public static final CommandName CREATE_SESSION

#### DELETE_SESSION

    public static final CommandName DELETE_SESSION

#### OPEN_SESSION

    public static final CommandName OPEN_SESSION

#### CLOSE_SESSION

    public static final CommandName CLOSE_SESSION

#### LIST_TYPE_INFO

    public static final CommandName LIST_TYPE_INFO

#### LIST_CATALOGS

    public static final CommandName LIST_CATALOGS

#### LIST_TABLES

    public static final CommandName LIST_TABLES

#### LIST_PRIMARY_KEYS

    public static final CommandName LIST_PRIMARY_KEYS

#### LIST_SCHEMAS

    public static final CommandName LIST_SCHEMAS

#### LIST_TABLE_TYPES

    public static final CommandName LIST_TABLE_TYPES

#### LIST_COLUMNS

    public static final CommandName LIST_COLUMNS

#### LIST_FUNCTIONS

    public static final CommandName LIST_FUNCTIONS

#### EXECUTE_STATEMENT

    public static final CommandName EXECUTE_STATEMENT

#### GET_RESULT_CHUNKS

    public static final CommandName GET_RESULT_CHUNKS

#### DEFAULT

    public static final CommandName DEFAULT

### Method Detail

#### values

    public static CommandName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CommandName c : CommandName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CommandName valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null